	INCLUDE EFR32MG12.inc		; CPU register definitions	
	EXPORT	main
	IMPORT	GPIO_setup		; import names from other code files
	IMPORT	RTCC_setup	

RED_LED		EQU	8
GREEN_LED	EQU	9	

;-------------------------------------	; CODE segment in flash (ROM) 
	AREA    |.text|, CODE, READONLY
main	PROC				; main user code
	bl	GPIO_setup		; configure port pins
	bl	RTCC_setup

	GETW	RTCC_CNT, RTCC		; R1 = RTCC counter value
	add	R1, #5			; start blinking LED after that many seconds
	str	R1, [R0, #RTCC_CC0_CCV]	; set timestamp
	
L1
	GETW	RTCC_IF, RTCC		; load RTCC flags
	tst	R1, #(1<<1)		; wait for CC0 flag set
	beq	L1	
	PUTW	1<<5, RTCC_IFC		; clear flag
	OORW	1<<RED_LED, GPIO_PD_DOUT, GPIO	; turn on red LED

loop					; blink LED with 1sec period
	GETW	RTCC_IF, RTCC		; R1 = RTCC flags
	ands	R1, #(1<<5)		; check for CNTTICK flag
	beq	loop
	PUTW	1<<5, RTCC_IFC		; clear flag

	PUTW	1<<RED_LED, GPIO_PD_DOUTTGL, GPIO	; toggle red LED 
	b	loop			; loop back	
	ENDP

	ALIGN
	END